// ShellComponent
// Provides a command-line style interface for the JFS filesystem
import java.awt.*;
import java.io.*;

public class ShellComponent extends JFScomponent
{
	// init
	// Create the user interface
	void init()
	{
	PipedInputStream pis = new PipedInputStream();
	PipedOutputStream pos = new PipedOutputStream();
	try {
		pis.connect(pos);
		pos.connect(pis);
		}
	catch(IOException e) { }
	JFSShell sh = new JFSShell(client, new LineOutputStream(pos));
	IOComponent io = new IOComponent(new LineInputStream(pis), sh);
	setLayout(new BorderLayout());
	add("Center", io);
	}

	Dimension wantedsize()
	{
	return new Dimension(500, 300);
	}
}
